"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildAppConfig = exports.buildProviderConfig = void 0;
const defaults_1 = require("./constants/defaults");
const buildProviderConfig = (arg) => ({
    token: arg.token,
    repoUrl: arg.url,
    prId: arg.pr,
    removeOldComment: arg.removeOldComment,
    userAgent: defaults_1.USER_AGENT,
    timeZone: defaults_1.TIME_ZONE,
});
exports.buildProviderConfig = buildProviderConfig;
const buildAppConfig = (arg) => {
    return {
        logFilePath: arg.output,
        buildLogFiles: arg.buildLogFile,
    };
};
exports.buildAppConfig = buildAppConfig;
