"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapSeverity = void 0;
const log_severity_enum_1 = require("../@enums/log.severity.enum");
function mapSeverity(levelText) {
    switch (levelText) {
        case 'fatal':
        case 'error':
            return log_severity_enum_1.LogSeverity.error;
        case 'warning':
            return log_severity_enum_1.LogSeverity.warning;
        case 'info':
            return log_severity_enum_1.LogSeverity.info;
        case 'hidden':
            return log_severity_enum_1.LogSeverity.ignore;
        default:
            return log_severity_enum_1.LogSeverity.unknown;
    }
}
exports.mapSeverity = mapSeverity;
